Page MenuHomePhabricator

Pick a simple (short-term) deployment option for scandium
Closed, ResolvedPublic

Description

T213494: Installing composer modules for deployment has discussion of a number of possibilities for deploying Parsoid to production.

However, for the short term, for running round-trip tests, we need to pick a workable option for deploying and integration Parsoid/PHP with MediaWiki. Here is the proposed strategy:

Event Timeline

ssastry triaged this task as High priority.Aug 5 2019, 5:10 PM
ssastry created this task.

We are just going to with the simplest strategy here.

ssastry updated the task description. (Show Details)Aug 6 2019, 7:32 PM

Change 528550 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid/deploy@master] Add PHP composer modules to vendor/ to assist with rt testing

https://gerrit.wikimedia.org/r/528550

Change 528591 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] WIP: Add conditional loading of Parsoid/PHP as an extension

https://gerrit.wikimedia.org/r/528591

Tgr added a comment.Aug 7 2019, 6:50 AM

Note, you'll have to do something along the lines of https://gerrit.wikimedia.org/r/c/mediawiki/vagrant/+/513532 in operations/mediawiki-config (except you'll have to use multiwiki to select the right file to link to - check the existing endpoints in /w).

Joe added a comment.Aug 7 2019, 7:54 AM

My main worry is that anything you could do would be wiped out by the next scap run, unless we find a way to inject the code into mediawiki in a way that does avoid that.

My main worry is that anything you could do would be wiped out by the next scap run, unless we find a way to inject the code into mediawiki in a way that does avoid that.

Indeed I chatted with dzahn y'day and we realized that using puppet for T229354 won't work and I went the wmf-config repo route as the best solution.

So, Setting $wgEnableRestAPI = true is one of the change. I can do that in the conditional block in that gerrit patch 528591. I don't know what the config equivalent for the other change is (that ensures rest.php is present).

Change 528591 merged by jenkins-bot:
[operations/mediawiki-config@master] Add conditional loading of Parsoid/PHP as an extension

https://gerrit.wikimedia.org/r/528591

Change 528980 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/puppet@production] Fix the update_parsoid.sh script for the Parsoid/PHP usecase

https://gerrit.wikimedia.org/r/528980

Change 528980 merged by Dzahn:
[operations/puppet@production] Fix the update_parsoid.sh script for the Parsoid/PHP usecase

https://gerrit.wikimedia.org/r/528980

Change 528550 merged by jenkins-bot:
[mediawiki/services/parsoid/deploy@master] Add PHP composer modules to vendor/ to assist with rt testing

https://gerrit.wikimedia.org/r/528550

ssastry closed this task as Resolved.Aug 8 2019, 6:27 PM
ssastry claimed this task.
ssastry updated the task description. (Show Details)